<section class="nevis-password-reset  grid-indent">

  <h2 class="nevis-password-reset__title">{{app.t7eMap('title_reset',t7e)}}</h2>

  <section class="nevis-password-reset__form  dwfe-form" spellcheck="false" *ngIf="!isExchangeCompleted">

    <dwfe-input-password class="dwfe-form__item"
                         [labelText]="app.t7eMap('new_password',t7e)"
                         (takeControl)="cNewPassword=$event"
                         #refNewPassword></dwfe-input-password>

    <dwfe-input-password class="dwfe-form__item"
                         [labelText]="app.t7eMap('new_password_repeat',t7e)"
                         (takeControl)="cRepeatPassword=$event"></dwfe-input-password>

    <dwfe-ok-action [errorMessage]="errorMessage"
                    [showErrorMessage]="errorMessage !== ''"
                    [isDisabled]="!(cNewPassword && cRepeatPassword && cNewPassword.valid && cRepeatPassword.valid) || isLocked"
                    (takeClick)="performPasswordReset()"></dwfe-ok-action>

    <dwfe-overlay *ngIf="isLocked"></dwfe-overlay>

  </section>

  <div class="nevis-password-reset__successful" *ngIf="isExchangeCompleted">
    <p class="dwfe-txt-successful  nevis-password-reset__successful-tem">{{app.t7eMap('successfully_completed',t7e)}}</p>
    <button class="nevis-password-reset__successful-btn  dwfe-form__btn  dwfe-form__btn--attraction"
            mat-raised-button
            (click)="goToLoginPage()">
      {{app.t7eMap('go_to_login',t7e)}}
    </button>
  </div>

</section>
